Webhooks
Subscribes to change events for the shift definitions collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-shift-definitions.read
Request properties
This list of properties can be sent in the request body.
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook events will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (shift-definitions). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the shift definition. |
name.default |
string | — | Read-only | Default name value of the shift definition. |
name.translations |
object | — | Read-only | A list of translated names of the definition by language code. |
code |
string | — | Read-only | A shift code used for this definition. |
friendlyName.default |
string | — | Read-only | Default friendly name value for this definition shown to users. |
friendlyName.translations |
object | — | Read-only | A list of translated friendly names by language code. |
isEnabled |
boolean | — | Read-only | Indicates if the shift definition is enabled in myProtime. |
External references
This endpoint does not support external references.
Error responses
| Status | Condition |
|---|---|
401 |
Missing or invalid access token, or insufficient scope |
For background on webhook delivery and retry behaviour, see Webhook lifecycle. For details on how shift definitions influence other collections, see Shift definition behaviour.
Examples
Creating a webhook for shift definitions
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Request:
{
"destinationUrl": "https://www.fictional-customer.com/protime/shift-definitions",
"collectionName": "shift-definitions"
}